Name:		foxtrotgps
Summary:	Easy-to-use graphical GPS tool
Version:	1.2.0
Release:	%mkrel 2
Group:		Sciences/Geosciences
License:	GPLv2
Url:		http://www.foxtrotgps.org/
Source0:	http://www.foxtrotgps.org/releases/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgps)
Requires:	jhead
#Requires:	gpscorrelate
Requires(post):		GConf2
Requires(preun):	GConf2
Requires(post):		info-install
Requires(preun):	info-install

%description
FoxtrotGPS is an easy-to-use graphical tool that can be used to track the
position of a GPS receiver on a map in relation to user-defined points of
interest (POIs), a destination and waypoints, and tracks loaded from files
or internet routing-services.

FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.

FoxtrotGPS is an offshoot of Marcus Bauer's excellent Free & Open Source
tangoGPS application, with a focus on cooperation and fostering community
innovation.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-schemas-install
%make

%install
%makeinstall_std

#fix .desktop
desktop-file-edit %{buildroot}%{_datadir}/applications/%{name}.desktop

#let files section handle docs
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%preun_uninstall_gconf_schemas apps_%{name}
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc AUTHORS ChangeLog HACKING NEWS README
%{_sysconfdir}/gconf/schemas/apps_%{name}.schemas
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/man/man1/*
%{_datadir}/pixmaps/%{name}*.png
%{_infodir}/%{name}.info.*


%changelog
* Fri Dec 25 2015 wally <wally> 1.2.0-2.mga6
+ Revision: 914563
- rebuild for new libgps

* Sun Jun 21 2015 wally <wally> 1.2.0-1.mga6
+ Revision: 837873
- new version 1.2.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 740671
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 679312
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 504622
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 350791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 260597
- new version 1.1.1

* Tue Feb 14 2012 wally <wally> 1.1.0-1.mga2
+ Revision: 208917
- new version 1.1.0
- drop unneeded patches (fixed upstream)

* Mon Jan 02 2012 fwang <fwang> 1.0.1-2.mga2
+ Revision: 189665
- fix build with latest glib
- rebuild for new gps

* Mon Oct 17 2011 wally <wally> 1.0.1-1.mga2
+ Revision: 155838
- imported package foxtrotgps

